' migrate.vbs
' Copies Zionworx 2.5.x files running on Vista to the new C:\ProgramData location on Vista.
' Author Brian Reid (http://www.c7solutions.com)
' Version 1.0 - 09:17 20/12/2007
' ----------------------------------------------------------
Option Explicit

sub MigrateFiles
	On Error resume next
	err.clear
	Dim objFSO, objFileCopy
	Dim strSource, strDestination
	Dim strUserProfile ' = %userprofile%
	Dim strPF86Path, strPFPath, strStatus
	dim WshShell,WshProcEnv
	Dim process_architecture

	' Checking if running on 32bit or 64bit windows
	Set WshShell =  CreateObject("WScript.Shell")
	Set WshProcEnv = WshShell.Environment("Process")
	process_architecture = WshProcEnv("PROCESSOR_ARCHITECTURE")
	strPFPath = WshProcEnv("ProgramFiles")
	strPF86Path = WshProcEnv("ProgramFiles(x86)")
	strUserProfile = WshProcEnv("USERPROFILE")

	if process_architecture = "x86" then
		strSource = strUserProfile & "\AppData\Local\VirtualStore\" & mid(strPFPath,4) & "\ZionWorx\"
	else
		strSource = strUserProfile & "\AppData\Local\VirtualStore\" & mid(strPF86Path,4) & "\ZionWorx\"
	end if

	strDestination ="C:\ProgramData\ZionWorx\2.6\"
	
	' Check that the strSource folder exists (if not then Zionworx's has not been run for this user)

	Set objFSO = CreateObject("Scripting.FileSystemObject")
	If objFSO.FolderExists(strSource) Then
		' Copy song database files
		err.clear
		objFSO.CopyFile strSource & "Data\*.*" , strDestination & "Data\", True
		if err.number = 0 then 
			strStatus = " - Song database copied successfully."
		else
			strStatus = " - Song database was not copied. The error was " & err.description
		end if

		' Copy and rename ini files
		' Note this section will not overwrite existing files
		if objFSO.FileExists(strDestination & "ZWSettings.ini") then
			strStatus = strStatus & vbLf & vbCr & " - Either Zionworx or this migration script has been run at least once, and so migration of the old settings files to the new location has been blocked."
		else
			objFSO.CopyFile strSource & "*.ini" , strDestination, True
			err.clear
			objFSO.MoveFile strDestination & "settings.ini" , strDestination & "ZWSettings.ini"
			objFSO.MoveFile strDestination & "styles.ini" , strDestination & "ZWStyles.ini"
			objFSO.MoveFile strDestination & "margins.ini" , strDestination & "ZWMargins.ini"
			if err.number = 0 then 
				strStatus = strStatus & vbLf & vbCr & " - Zionworx settings files copied and renamed successfully."
			else
				strStatus = strStatus & vbLf & vbCr & " - Zionworx settings files were not copied. The error was " & err.description
			end if
		end if

	End If
	
wscript.echo "Migration Status: " & vbCr & vbCR & strStatus	

End Sub

MigrateFiles

' End of migration